Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 753398 - dev-qt/qtgui-5.15.1-r1: Project ERROR: Unknown module(s) in QT: core
Summary: dev-qt/qtgui-5.15.1-r1: Project ERROR: Unknown module(s) in QT: core
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: ARM Linux
: Normal normal (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-06 23:58 UTC by Nuno
Modified: 2020-11-07 09:28 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
/var/tmp/portage/dev-qt/qtgui-5.15.1-r1/temp/build.log (build.log.gz,10.44 KB, application/gzip)
2020-11-06 23:58 UTC, Nuno
Details
/var/tmp/portage/dev-qt/qtgui-5.15.1-r1/temp/environment (environment.gz,25.18 KB, application/gzip)
2020-11-06 23:58 UTC, Nuno
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nuno 2020-11-06 23:58:07 UTC
Created attachment 670280 [details]
/var/tmp/portage/dev-qt/qtgui-5.15.1-r1/temp/build.log

dev-qt/qtgui-5.15.1-r1 fails to compile with the error "Project ERROR: Unknown module(s) in QT: core"

dev-qt/qtcore-5.15.1-r1 is installed with USE="old-kernel -debug -icu -systemd -test"

I'm using an armv7a-unknown-linux-gnueabihf chroot running on an amd64 using qemu-arm version 5.1.0.

The last version of qtgui I was able to compile on this chroot was dev-qt/qtgui-5.12.3-r1. Since then, at least versions dev-qt/qtgui-5.13.2, dev-qt/qtgui-5.14.2, and dev-qt/qtgui-5.14.2-r1 also failed to compile.



 * Running qt5_qmake in src/tools/qvkgen
Project ERROR: Unknown module(s) in QT: core
 * ERROR: dev-qt/qtgui-5.15.1-r1::gentoo failed (configure phase):
 *   qmake failed (src/tools/qvkgen)
 * 
 * Call stack:
 *     ebuild.sh, line  125:  Called src_configure
 *   environment, line 2176:  Called qt5-build_src_configure
 *   environment, line 1732:  Called qt5_foreach_target_subdir 'qt5_qmake'
 *   environment, line 1856:  Called qt5_qmake
 *   environment, line 1943:  Called die
(...)



# emerge -pqv '=dev-qt/qtgui-5.15.1-r1::gentoo'                                 

[ebuild     U ] dev-qt/qtgui-5.15.1-r1 [5.14.2] USE="X gif jpeg libinput png udev -accessibility -dbus -debug -egl -eglfs -evdev -gles2-only -ibus -test -tslib -tuio -vnc (-vulkan) -wayland"

!!! Multiple package instances within a single package slot have been pulled                     
!!! into the dependency graph, resulting in a slot conflict:       

dev-qt/qtgui:5

  (dev-qt/qtgui-5.15.1-r1:5/5.15.1::gentoo, ebuild scheduled for merge) USE="X gif jpeg libinput png udev -accessibility -dbus -debug -egl -eglfs -evdev -gles2-only -ibus -test -tslib -tuio -vnc (-vulkan) -wayland" pulled in by
    =dev-qt/qtgui-5.15.1-r1::gentoo (Argument)

  (dev-qt/qtgui-5.14.2:5/5.14.2::gentoo, installed) USE="X gif jpeg libinput png udev -accessibility -dbus -debug -egl -eglfs -evdev -gles2-only -ibus -test -tslib -tuio -vnc (-vulkan) -wayland" pulled in by
    ~dev-qt/qtgui-5.14.2[X] required by (dev-qt/qtx11extras-5.14.2-1:5/5.14::gentoo, installed) USE="-debug -test"




Note: to get around the conflict above, I'm running "emerge -1 qtgui qtx11extras"
Note: the dev-qt/qtgui-5.14.2 installed in the chroot was compiled on a RPi 3 because it also failed to build on the chroot.

Any help is appreciated :)
Comment 1 Nuno 2020-11-06 23:58:48 UTC
Created attachment 670283 [details]
/var/tmp/portage/dev-qt/qtgui-5.15.1-r1/temp/environment